﻿$FQDNExchange = "http://mbx01.contoso.com/PowerShell/" #URI your Exhchange server
$Listmailbox  = @("User1", "User2") # List User
$DaysBack =10 # Number of Back days for get statistics, 0 - only today

$Session = New-PSSession -ConfigurationName Microsoft.Exchange -ConnectionUri $FQDNExchange -Authentication Kerberos  
$output = Import-PSSession $Session -AllowClobber -DisableNameChecking -WarningAction silentlycontinue 

$rundate = $(Get-Date).toshortdatestring()

$ListExchange = Get-TransportServer -WarningAction silentlycontinue # Get list Exchange Transport Servers

for ($DaysToGoBack = $DaysBack; $DaysToGoBack -ge 0; $DaysToGoBack--)
{ 
    foreach ($mailboxitem in $Listmailbox)
    {

        $mailbox = get-mailbox $mailboxitem

        $StartDate = Get-date ([datetime]((Get-Date $rundate).adddays(-$DaysToGoBack)))
        $StartDateString = (get-Date ($StartDate) -uformat "%H:%M:%S %m/%d/%Y").ToString()

        $EndDate = Get-date (((Get-Date $StartDate).AddSeconds(86399))) 
        $EndDateString = (get-Date ($EndDate) -uformat "%H:%M:%S %m/%d/%Y").ToString()
        
        $ListMessageSend =@()
        $ListMessageReceive =@()

        foreach ($server in $ListExchange)
        {
            $ListMessageSend += Get-MessageTrackingLog -Server $server.Name -Sender $mailbox.WindowsEmailAddress -Start $StartDateString -End $EndDateString -EventID "DELIVER" -resultsize unlimited 
            $ListMessageReceive += Get-MessageTrackingLog -Server $server.Name  -Recipients $mailbox.WindowsEmailAddress -Start $StartDateString -End $EndDateString -EventID "RECEIVE" -resultsize unlimited 
        }
        $TotalSend = $ListMessageSend | Measure-Object -Property Totalbytes -Sum # Sum size of mail sent per day per mailbox
        $TotalReceive = $ListMessageReceive | Measure-Object -Property Totalbytes -Sum # Sum size of mail receive per day per mailbox

        # Output: Date; Alias; NumberofMailReceived; SizeofMailReceived; NumberofMailSend; SizeofMailSent
        $StartDate.ToShortDateString() + ";" + $mailbox.Alias + ";" + $TotalReceive.Count  + ";" + [math]::Round(($TotalReceive.Sum)/(1024*1024)) + ";" + $TotalSend.Count  + ";" + [math]::Round(($TotalSend.Sum)/(1024*1024))
    }
}

Remove-PSSession $Session